<?php
/*
Plugin Name: Müzikçalara Downoad Butonu Ekle
Plugin URI: https://100numaraliadam.com
GitHub Plugin URI: https://github.com/damiencarbery/audio-shortcode-download-link
Description: Müziklerinize bir indirme butonu ekler.
Author: Damien Carbery
Version: 0.1
*/
if ( ! defined( 'WPINC' ) ) {
	die;
}
add_filter( 'wp_audio_shortcode', 'ast_audio_shortcode_enhancer', 10, 5 );
function ast_audio_shortcode_enhancer( $html, $atts, $audio, $post_id, $library ) {
    $audio_types = array( 'mp3', 'ogg', 'wma', 'm4a', 'wav' );
    // Use the first audio type that has data.
    foreach ( $audio_types as $extension ) {
        if ( strlen( $atts[ $extension ] ) ) {
            return sprintf('<div style="display: flex;">') .  $html . 
            sprintf( '<span style="height:40px; background-color: rgb(34, 34, 34);"><button type="button" style="background-color: rgb(34, 34, 34); padding-left:5px;padding-right:20px; padding-top: 8px;border: 0px;font-size: 20px;"><a href="%s" title="İNDİR"  download><i class="fa fa-download" style="color: #4ed366;" onmouseover="this.style.color=' .
             "'cyan'" . '" onmouseout="this.style.color=' . "'white'" . '"></i></a></button></span></div>', $atts[ $extension ] );
            break;
        }
    }
    // Otherwise return the original html.
    return $html;
}